import os

from fastapi import APIRouter, HTTPException
from starlette.responses import FileResponse

from app.api.v1.product.images import PRODUCTS_FOLDER

router = APIRouter(
)


@router.get('/images/{file_name}')
async def get_image(file_name: str):
    products_folder = PRODUCTS_FOLDER
    file_path = os.path.join(products_folder, file_name)
    if not os.path.exists(file_path):
        raise HTTPException(status_code=404, detail="File not found")

    return FileResponse(file_path)
